<?php



class TblscormcmicommentMapBuilder implements MapBuilder {

	
	const CLASS_NAME = 'lib.model.map.TblscormcmicommentMapBuilder';

	
	private $dbMap;

	
	public function isBuilt()
	{
		return ($this->dbMap !== null);
	}

	
	public function getDatabaseMap()
	{
		return $this->dbMap;
	}

	
	public function doBuild()
	{
		$this->dbMap = Propel::getDatabaseMap(TblscormcmicommentPeer::DATABASE_NAME);

		$tMap = $this->dbMap->addTable(TblscormcmicommentPeer::TABLE_NAME);
		$tMap->setPhpName('Tblscormcmicomment');
		$tMap->setClassname('Tblscormcmicomment');

		$tMap->setUseIdGenerator(true);

		$tMap->addPrimaryKey('CMI_COMMENT_ID', 'CmiCommentId', 'INTEGER', true, null);

		$tMap->addColumn('CMI_NODE_ID', 'CmiNodeId', 'INTEGER', false, null);

		$tMap->addColumn('C_COMMENT', 'CComment', 'LONGVARCHAR', false, null);

		$tMap->addColumn('C_TIMESTAMP', 'CTimestamp', 'TIMESTAMP', false, null);

		$tMap->addColumn('LOCATION', 'Location', 'VARCHAR', false, 255);

		$tMap->addColumn('SOURCEISLMS', 'Sourceislms', 'TINYINT', false, null);

	} 
} 